GET /v1/research/{job_id}/stream
Server-Sent Events stream of deep-research progress.
Cost: Free. Reconnecting via
Last-Event-IDdoes not re-charge. See Pricing.
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
job_id*string
Header Parameters
Last-Event-ID?string
Resume from a previous frame ID
Response Body
text/event-stream
application/json
application/json
curl -X GET "https://api.brime.dev/v1/research/string/stream""event: tool_call\nid: 12\ndata: {\"round\":1,\"queries\":[\"okapi bm25\"]}\n\nevent: complete\nid: 47\ndata: {\"answer\":\"...\",\"sources\":[]}\n\n"{
"error": {
"code": "unauthorized",
"message": "Invalid Brime API key."
}
}{
"error": {
"code": "not_found",
"message": "Job not found"
}
}See also: Status & streaming · Errors